#
# spec file for package perl-Business-IBAN
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Business-IBAN
Version:        0.06
Release:        1.1
%define cpan_name Business-IBAN
Summary:        Validate and generate IBANs
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Business-IBAN/
Source:         http://www.cpan.org/authors/id/T/TI/TINITA/%{cpan_name}-%{version}.tar.gz
# MANUAL Do not ueber buegeln aka override but murge on next version update
Source1:        iban.pl
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
%{perl_requires}

%description
With this module you can validate IBANs (International Bank Account Number)
like "IBAN DE97123456781234567890" (ISO 13616). (Note: spaces between
numbers are allowed.) Note that this dos not (and cannot) assure that the
bank account exists or that the bank account number for the bank itself is
valid. You can also create an IBAN if you supply

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m 0755 %{S:1} %{buildroot}%{_bindir}/iban
pod2man %{S:1} > %{buildroot}%{_mandir}/man1/iban.1
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README

%changelog
* Fri Oct 11 2013 werner@suse.de
- Avoid automaig scripts to override the spec file
* Wed Oct  9 2013 werner@suse.de
- Make it ready for devel:languages:perl and openSUSE:Factory
- Add small script to convert BIC/BLZ and account code into IBAN/SEPA
